<!DOCTYPE html>
<html>
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

  <title>Choisis ton chemin</title>

  <style>
    .img-fluid {
      max-width: 25%;
      height: auto;
    }
  </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" href="./index.html">Accueil</a>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" href="./materiel.html">Matériel</a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" href="./experimentations.html">Expérimentations<span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="./montage.html">Montage</a>
      </li>
    </ul>
  </div>
</nav>

<div class="container mt-4">
  <h1>Expérimentations</h1>
  <h3>Test à exécuter</h3>
  <ol>
    <li>Test de la camera
    <li>Test des distance</li>
    <li>Test avec deux personnes</li>
    <li>Test de luminosité</li>
    <li>Test de contraste</li>

  </ol>
  <div class="card mt-4">
    <div class="card-body">
      <h4><b>Test des distance</b></h4>
      <ul class="list-group">
        <li class="list-group-item">Objectif: Nous voulons évaluer la distance maximale entre la caméra et la main pour que le logiciel puisse reconnaitre les mouvements de la main.</li>
        <li class="list-group-item">Description contexte réalisation: À l'aide d'un ordinateur portable et de la webcam intégrée nous allons évaluer le logiciel <a href="https://mediapipe-studio.webapps.google.com/studio/demo/gesture_recognizer">Media pipe</a> afin de reconnaitre les mouvements de la main. à la distance maximale.</li>
    
        <li class="list-group-item">Résultat: Suite aux essais, nous pouvons dire que la caméra peut détecter la gesture une main à une distance d'environ 3 mètres.</li>
        <li class="list-group-item">Avis: Suite aux résultats obtenus, notre équipe suggère de placer les participants à une distance de moins de 3 mêtres pour une expérience optimale.</li></ul>
    </div>
  </div>

  <div class="card mt-4">
    <div class="card-body">
      <h4><b>Test avec deux personnes</b></h4>
      <ul class="list-group">
        <li class="list-group-item">Objectif: Ce test à comme objectif de tester si la caméra est capable de reconnaitre les gestures même si deux personnes sont devant l'écran.</li>
        <li class="list-group-item">Description contexte réalisation: À l'aide d'un ordinateur portable et de la webcam intégrée nous allons évaluer le logiciel <a href="https://mediapipe-studio.webapps.google.com/studio/demo/gesture_recognizer">Media pipe</a> afin de reconnaitre les mouvements de la main. à la distance maximale.
        </li>
    
        <li class="list-group-item">Résultat: Comme résultat, nous avons constaté que lorsqu'il y a plus de 1 personne la caméra va prendre la gesture de la première personne qui est arrivée</li>
        <li class="list-group-item">Avis: Selon nous, il est possible qu'il ait une certaine confusion auprès des utilisateurs qui utilisent le jeu. Nous suggérons donc d'informer les utilisateurs de mettre leur main directement devant la camera lorsqu'ils font un signe.</li></ul>
    </div>
  </div>

  <div class="card mt-4">
    <div class="card-body">
      <h4><b>Test de luminosité</b></h4>
      <ul class="list-group">
        <li class="list-group-item">Objectif: L'objectif de ce test est de déterminer si la caméra est aussi performante dans une pièce plus sombre ou plus éclairée</li>
        <li class="list-group-item">Description contexte réalisation: Nous avons testé la reconnaissance des gestures dans une pièce sombre et une pièce claire.</li>
        </li>
    
        <li class="list-group-item">Résultat: Comme résultat, nous avons constaté que que la caméra est plus performante lorsque la pièce est éclairée.</li>
        <li class="list-group-item">Avis: Suite au résultat, nous conseillons de mettre le kiosque dans une pièce éclairée si possible.</li></ul>
    </div>
  </div>

  <div class="card mt-4">
    <div class="card-body">
      <h4><b>Test de contraste</b></h4>
      <ul class="list-group">
        <li class="list-group-item">Objectif: Pour ce test, nous avons évalué différents contrastes afin de voir si les couleurs on un impact sur la reconnaissance.</li>
        <li class="list-group-item">Description contexte réalisation: Pour ce test nous avons testé les gestures devant différentes couleurs.</li>
        <li class="list-group-item">Résultat: Comme résultat, nous avons remarqué que la caméra reconnait plus facilement les gestures devant un fond noir.</li>
        <li class="list-group-item">Avis: Suite à cette expérimetation, nous suggérons de placer un fond noir derrière les utilisateurs afin d'avoir une plus grande efficacité.</li></ul>
    </div>
  </div>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>
</html>
